version: 2

models:
  - name: rpt_interviewee_satisfaction_isat
    description: This surfaces the greenhouse data for candidate surveys at a department level for interview SAT scores.
    columns:
    - name: candidate_survey_id
      tests:
      - not_null
      - unique
    - name: organization_id
      tests:
      - not_null
    - name: department_id
    - name: department_name
    - name: submitted_at
      tests:
      - not_null
    - name: candidate_survey_question_1
    - name: isat_score

  - name: rpt_greenhouse_current_openings
    description: Provides current job openings created in Greenhouse.
    columns: 
    - name: job_opening_id
      tests:
        - not_null
        - unique
    - name: job_id
    - name: ghp_id
    - name: job_created_at
    - name: job_status
    - name: opening_id
    - name: is_hired_in_bamboo
    - name: candidate_target_hire_date
    - name: offer_status
    - name: target_start_date
    - name: opening_date
    - name: closing_date
    - name: close_reason
    - name: job_title
    - name: department_name
    - name: division
    - name: hiring_manager
    - name: opening_type
    - name: employee_id
    - name: region

  - name: rpt_greenhouse_hired_employees_opening
    description: For all hired employees, this report provides the job opening id for the job they were hired for,  in addition to the job title, department, and division they were hired in. Note - we will only have data for candidates that have an associated candidate_id in bamboohr. This data started being captured late 2019-12.
    columns:
    - name: opening_id
      description: This is the id associated to the job the employee was hired for.
    - name: job_name
    - name: full_name
    - name: department_hired_into
    - name: division_hired_into
    - name: job_hired_into  
  - name: rpt_greenhouse_offer_stage
    description: This report provides a breakdown of how many candidates we expect to start in North America. 
    columns: 
    - name: start_week
      description: The week the candidate is expected to start. We've aggregated to week level to help with onboarding.
    - name: geographic_region
      description: The report currently pulls for candidates expected to start in North America, and is our start case to determine if the report helps with onboarding.
      tests:
        - accepted_values: 
            values: ['North America', 'South America', 'EMEA','Asia Pacific', 'Americas']
    - name: candidates_estimated_to_start
      description: This is a total count of all the candidates we have sent an offer to.
    - name: accepted_offers_to_start
      description: This is a count of the candidates that have accepted the offer. This will be the true count for what we will have to prepare for, whereas the candidates_estimated_to_start provides an idea of how many overall we may see.                    
  - name: greenhouse_diversity
    description: Provides a breakdown of recruiting KPIs by gender, as well as department and division breakouts. Note - the values for the columns in this model will be null in the case there are less than 3 candidates for a given eeoc pool (this is done using the min over partition value).
    columns:
    - name: month_date
    - name: breakout_type
      description: This column indicates what the metric data is displayed at the KPI level (not accounting for eeoc values), division level, or all (accounting for division and department).
    - name: department_name
    - name: division
    - name: eeoc_field_name
      description: This column identifies what the eeoc_value is for. For example, the possible eeoc_values for eeoc_field_name = 'candidate_gender' are male, female and did not identify. In the case, the eeoc_field_name is na it is because the breakout_type is a KPI level, and we are not looking to aggregate for diversity fields.
    - name: eeoc_values
      description: This is associated to the eeoc_field_name. For eeoc_field_name = 'candidate_gender' there will be a row for each of the values (male, female, and decline to self identify). This allows us to create a base model with all the potential eeoc_field_values for each field_column and join all applicants even those that don't identify.
    - name: total_candidates_applied
      description: This shows how many candidates applied in a specific month. We are removing any instances the 
    - name: application_to_offer_percent 
      description: This is based on the application month and shows how many applicants for a given month have been extended an offer.
    - name: percent_of_applicants
      description: Provides what percent of applicants are for example female of the total applicants in a month.
    - name: total_sent_offers
    - name: percent_of_offers_sent
    - name: offers_accepted
      description: In a given month, how many candidates accepted the offer.
    - name: percent_of_offers_accepted
    - name: time_to_offer_average
      description: Shows the average time in days from the data a candidate applied for the offer they accepted for offers accepted in a given month.
    - name: time_to_offer_median
      description: Shows the median time in days from the data a candidate applied for the offer they accepted for offers accepted in a given month.
    - name: offer_acceptance_rate_based_on_offer_month
      description: Of the offers extended, shows what percent of candidates accept.    
    - name: percent_of_offers_accepted
    - name: time_to_offer
      description: Shows how long it takes on average to go from apply to offer for a candidate. This is based on offer accepted month.
    - name: offer_acceptance_rate_based_on_offer_month
      description: This metric indicates of the offers sent, how many candidates have accepted. 
    - name: percent_of_hires_sourced     
      description: Identifies of the hires for a specific month, how many were sourced by a recruiter.

  - name: greenhouse_sourcer_scorecard
    description: This data model provides recruiting metrics by sourcer and month, as well as what the percentile baselines are for each recruiting metric based on performance for the 3 previous months and removing the bottom 10% of outliers.
    columns:
    - name: month_date
    - name: sourcer_name
    - name: recruiting_metric
      description: This identifies the recruiting metrics used for the scorecard.
    - name: recruiting_metric_value
      description: This is the associated value for the recruiting metric, month and sourcer.
    - name: percentile_25th
    - name: percentile_50th
    - name: percentile_75th
    - name: percentile_80th
    - name: ninetieth_percentile
    - name: percentile_max
    
  - name: greenhouse_hiring_speed_per_candidate
    description: This data provides recruiting metrics related to offers and hires modeled after the Hiring Speed Per Candidate report in Greenhouse, but adapted for output required for Recruiting's Monthly Metrics.
    columns:
    - name: offer_status
    - name: application_status
    - name: hire_date
    - name: candidate_name
    - name: division
    - name: department
    - name: vacancy
    - name: time_to_offer
    - name: source
    - name: application_date
    - name: offer_sent
    - name: offer_accept
    - name: location
    - name: location_factor
    - name: candidate_id

  - name: workday_rpt_greenhouse_hired_employees_opening_ids
    description: The is a report for supporting the transition to Workday from BambooHR, to be compared to the normal table of the same name.
    